%global glib2_version 2.69
%global gtk4_version 4.6
%global gtksourceview_version 5.4.1
%global enchant_version 2.2.0

%define url_ver			%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-text-editor
Version:	47.2
Release:	%mkrel 1
Summary:	A simple text editor for the GNOME desktop

Group:		Graphical desktop/GNOME

License:	GPLv3+
URL:		https://gitlab.gnome.org/GNOME/gnome-text-editor
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz

# Backported from upstream

BuildRequires:	pkgconfig(editorconfig)
BuildRequires:	pkgconfig(enchant-2) >= %{enchant_version}
BuildRequires:	pkgconfig(gio-unix-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(gtksourceview-5) >= %{gtksourceview_version}
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libspelling-1)
BuildRequires:	desktop-file-utils
BuildRequires:	gcc
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	appstream-util

%description
GNOME Text Editor is a simple text editor that focuses on session management.
It works hard to keep track of changes and state even if you quit the application.
You can come back to your work even if you've never saved it to a file.


%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%meson -Ddevelopment=false
%meson_build


%install
%meson_install

%find_lang %{name} --with-gnome


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.gnome.TextEditor.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.TextEditor.desktop


%files -f %{name}.lang
%doc README.md NEWS
%license COPYING
%{_bindir}/gnome-text-editor
%{_metainfodir}/org.gnome.TextEditor.appdata.xml
%{_datadir}/applications/org.gnome.TextEditor.desktop
%{_datadir}/dbus-1/services/org.gnome.TextEditor.service
%{_datadir}/glib-2.0/schemas/org.gnome.TextEditor.gschema.xml
%{_datadir}/gnome-text-editor/
%{_datadir}/icons/hicolor/*/*/*.svg


%changelog
* Sun Dec 01 2024 daviddavid <daviddavid> 47.2-1.mga10
+ Revision: 2120205
- new version 47.2

* Fri Nov 01 2024 daviddavid <daviddavid> 47.1-1.mga10
+ Revision: 2111930
- new version 47.1

* Wed Sep 18 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2098460
- new version 47.0

* Sun Jun 02 2024 daviddavid <daviddavid> 46.3-1.mga10
+ Revision: 2069200
- new version 46.3

* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050366
- new version 46.0

* Thu Dec 07 2023 daviddavid <daviddavid> 45.1-1.mga10
+ Revision: 2014176
- new version 45.1

* Tue Sep 26 2023 tv <tv> 45.0-1.mga10
+ Revision: 1991119
- Update to 45.0

* Sat Apr 22 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1954253
- drop merged P0
- update to 44.0

* Sun Apr 16 2023 daviddavid <daviddavid> 43.1-4.mga9
+ Revision: 1953243
- remove no more needed old pcre-devel build dependency

* Sat Jan 07 2023 squidf <squidf> 43.1-3.mga9
+ Revision: 1931118
- Mass rebuild for icu 72.1

* Tue Nov 22 2022 tv <tv> 43.1-2.mga9
+ Revision: 1910310
- Backport upstream patch to fix the release number in appdata

* Tue Oct 04 2022 ovitters <ovitters> 43.1-1.mga9
+ Revision: 1894842
- new version 43.1

* Thu Sep 22 2022 tv <tv> 43.0-1.mga9
+ Revision: 1891615
- Update to 43.0

* Wed Aug 17 2022 tv <tv> 42.2-1.mga9
+ Revision: 1878373
- imported package gnome-text-editor


* Wed Aug 17 2022 Thierry Vignaud <tv@mageia.org> 42.2-1.mga9
- Import from FC

* Tue Jun 14 2022 David King <amigadave@amigadave.com> - 42.2-1
- Update to 42.2 (#2096085)

* Fri May 27 2022 Link Dupont <link@sub-pop.net> - 42.1-2
- Patch to fix session handling crash (RHBZ#2071116)

* Fri Apr 22 2022 David King <amigadave@amigadave.com> - 42.1-1
- Update to 42.1 (#2077673)

* Sat Mar 19 2022 David King <amigadave@amigadave.com> - 42.0-1
- Update to 42.0

* Tue Mar 08 2022 David King <amigadave@amigadave.com> - 42~rc1-1
- Update to 42.rc1

* Thu Jan 20 2022 David King <amigadave@amigadave.com> - 42~alpha2-1
- Update to 42.alpha2

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 41.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 06 2022 Neal Gompa <ngompa@fedoraproject.org> - 41.1-1
- Update to 41.1

* Tue Oct 05 2021 Neal Gompa <ngompa@fedoraproject.org> - 41.0-1
- Initial packaging

